﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.IoT
{
    /// <summary>
    /// MongoDB基类
    /// </summary>
    public abstract class BaseEntity
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 客户端 ID
        /// </summary>
        public string ClientId { get; set; }
        /// <summary>
        /// 设备 ID
        /// </summary>
        public string DeviceId { get; set; }
        /// <summary>
        /// 阿里云设备名称
        /// </summary>
        public string devicename { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string State { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime UpdateTime { get; set; }
    }
}
