﻿using BPASmartClient.Model.咖啡机.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Model
{
    /// <summary>
    /// 驱动设备:  伽乐美咖啡机
    /// 设备序列号:0x02225132
    /// 创建时间： 20220419
    /// </summary>

    /// <summary>
    /// 伽乐美咖啡机制作
    /// </summary>
    public class KLMCoffee_MakeCoffeeEvent :BaseEvent
    {
        /// <summary>
        /// 饮品类型
        /// </summary>
        public DrinkType DrinkCode { get; set; }
    }

    /// <summary>
    /// 伽乐美咖啡机取消制作咖啡
    /// </summary>
    public class KLMCoffee_CancelMakeCoffeeEvent :BaseEvent
    {

    }

    /// <summary>
    /// 伽乐美咖啡机清洗冲泡器
    /// </summary>
    public class KLMCoffee_WashCPJEvent :BaseEvent
    {

    }

    /// <summary>
    /// 伽乐美咖啡机放杯确认
    /// </summary>
    public class KLMCoffee_CupIsOKEvent :BaseEvent
    {

    }

    /// <summary>
    /// 伽乐美咖啡机清洗奶沫器
    /// </summary>
    public class KLMCoffee_WashNMJEvent :BaseEvent
    {

    }

    /// <summary>
    /// 伽乐美咖啡机清洗奶沫器确认
    /// </summary>
    public class KLMCoffee_WashNMJIsOKEvent :BaseEvent
    {

    }

    /// <summary>
    /// 伽乐美咖啡机结束制作
    /// </summary>
    public class KLMCoffee_CoffeEndCookEvent :BaseEvent
    {

    }
}
