﻿using System;

namespace BPASmartClient.IoT
{
    /// <summary>
    /// DataV客户端数据中心
    /// </summary>
    public class DataVClient
    {
        #region 单例模式
        private volatile static DataVClient _Instance;
        public static DataVClient GetInstance => _Instance ?? (_Instance = new DataVClient());
        #endregion

        #region 公有变量
        //DataV 服务地址
        public string DataVApiAddress { set; get; }
        #endregion

        public DataVClient()
        {
            DataVApiAddress = System.Configuration.ConfigurationManager.AppSettings["DataVServiceUri"].ToString();
        }

        public void Start()
        {
            
        }
    }
}
